"use client";
import { useState, useEffect } from "react";
import { ThemeProvider } from "@context/index";
import "./globals.css";

export default function RootLayout({ children, header }) {
  // Check if localStorage is available (client-side)
  const themeClass =
    typeof window !== "undefined" ? localStorage.getItem("theme") : "light";

  return (
    <ThemeProvider>
      <html lang="en" className={themeClass}>
        <body>
          <div id="root">
            {header}
            {children}
          </div>
        </body>
      </html>
    </ThemeProvider>
  );
}
