import BlogContainer from "./container";
import { getAllPosts } from "@lib/posts";
import styles from "./page.module.css";
import Loading from "./loading";

const Home = () => {
  let blogs;
  const fetchData = () => {
    try {
      blogs = getAllPosts("posts");
    } catch (error) {
      console.error("Error fetching blogs:", error);
    }
  };

  fetchData();

  return (
    <div className={styles.container}>
      {blogs.length ? <BlogContainer blogs={blogs} /> : <Loading />}
    </div>
  );
};

export default Home;
