import fs from "fs";
import path from "path";
import matter from "gray-matter";
import { remark } from "remark";
import html from "remark-html";

export function getPostById(fileDirectory, slug) {
  const directory = path.join(process.cwd(), fileDirectory);
  const fileNames = fs.readdirSync(directory);
  const data = fileNames
    .map((fileName) => {
      const fullPath = path.join(fileDirectory, fileName);
      const fileContents = fs.readFileSync(fullPath, "utf8");
      const { data, content } = matter(fileContents);
      const processedContent = remark()
        .use(html)
        .processSync(content)
        .toString();

      return {
        markdown: processedContent,
        ...data,
      };
    })
    .filter((e) => e.id == slug);

  return data;
}
export function getAllPosts(fileDirectory) {
  const directory = path.join(process.cwd(), fileDirectory);
  const fileNames = fs.readdirSync(directory);
  const data = fileNames.map((fileName) => {
    const id = fileName.replace(/\.md$/, "");
    const fullPath = path.join(fileDirectory, fileName);
    const fileContents = fs.readFileSync(fullPath, "utf8");
    const matterResult = matter(fileContents);

    return {
      id,
      ...matterResult.data,
    };
  });
  return data;
}
